# 16x16 Weather Display
A little program to display weather data on a 16x16 LED Matrix. The display switches between a weather pictogram and the current temperature. Weather data is obtained from OpenWeatherMap - you need a valid API key to use the program (for further setup steps see section Config below).

## Hardware Basis
- ESP8266 D1 Mini Board
- 16x16 NeoPixel LED Matrix
- Power Supply MicroUSB 5V

## Used Arduino Libraries
- FastLED
- ArduinoJson
- ESP8266HTTPClient
- ESP8266WiFi
- ESP8266WiFiMulti
- WiFiClient

## Setup
- The program needs a WiFi connection to work. Enter your WiFi SSID and password for the `STASSID` and `STAPSK` defines in the code.
- To obtain weather data, you need to set up a valid API key for OpenWeatherMap. You can do that [here](https://home.openweathermap.org/users/sign_up). Once you have your key, enter it for the `APIKEY` define in the code.
- Make sure your microcontroller is hooked up to the LED Matrix correctly - you may need to adjust the `LED_PIN` to your specific setup. This pin should connect to DIN on the LED Matrix.